Index: kernel/application.php
===================================================================
--- kernel/application.php	(revision 14237)
+++ kernel/application.php	(working copy)
@@ -1125,7 +1125,8 @@
 
 		if ($this->UseOutputCompression()) {
 			$compression_level = $this->ConfigValue('OutputCompressionLevel');
-			if ($compression_level < 0 || $compression_level > 9) {
+
+			if (!$compression_level || $compression_level < 0 || $compression_level > 9) {
 				$compression_level = 7;
 			}
 
@@ -2384,6 +2385,8 @@
 			return $res['VariableValue'];
 		}
 
+		trigger_error('Usage of undefined configuration variable "<strong>' . $name . '</strong>"', E_USER_NOTICE);
+
 		return false;
 	}
 
@@ -2815,12 +2818,12 @@
 
 			$args = '';
 			$type = isset($trace_info['type']) ? $trace_info['type'] : '';
-			
+
 			if ( isset($trace_info['args']) ) {
 				foreach ($trace_info['args'] as $argument) {
 					if ( is_object($argument) ) {
 						$args .= get_class($argument) . ' instance, ';
-					} 
+					}
 					else {
 						$args .= substr($argument, 0, 10) . ' ..., ';
 					}
Index: units/helpers/modules_helper.php
===================================================================
--- units/helpers/modules_helper.php	(revision 14234)
+++ units/helpers/modules_helper.php	(working copy)
@@ -247,8 +247,7 @@
 		 */
 		function _GetDomain($vars)
 		{
-			$config_domain = array_key_exists('Domain', $vars) ? $vars['Domain'] : false;
-			return $this->Application->ConfigValue('DomainDetect') ? $_SERVER['HTTP_HOST'] : $config_domain;
+			return isset($vars['Domain']) ? $vars['Domain'] : false;
 		}
 
 		function _keyED($txt, $encrypt_key)
